> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rosreestr/objects/search

> Search Russian real-estate objects in the EGRN cadastre by cadastral number or address

**Price:** 5 credits



## OpenAPI

````yaml /openapi/real-estate.json post /api/rosreestr/objects/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rosreestr/objects/search:
    post:
      tags:
        - /rosreestr
      summary: /rosreestr/objects/search
      description: >-
        Search Russian real-estate objects in the EGRN cadastre by cadastral
        number or address


        **Price:** 5 credits
      operationId: __api_rosreestr_objects_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RosreestrObjectsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RosreestrObject'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RosreestrObjectsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        category:
          anyOf:
            - $ref: '#/components/schemas/RosreestrCategory'
            - type: 'null'
      type: object
      required:
        - query
        - count
    RosreestrObject:
      properties:
        '@type':
          type: string
          default: RosreestrObject
        cad_number:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/RosreestrCategory'
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        purpose:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        is_removed:
          anyOf:
            - type: boolean
            - type: 'null'
        area:
          anyOf:
            - type: number
            - type: 'null'
        declared_area:
          anyOf:
            - type: number
            - type: 'null'
        specified_area:
          anyOf:
            - type: number
            - type: 'null'
        built_up_area:
          anyOf:
            - type: number
            - type: 'null'
        cadastral_cost:
          anyOf:
            - type: number
            - type: 'null'
        cost_index:
          anyOf:
            - type: number
            - type: 'null'
        cost_application_date:
          anyOf:
            - type: string
            - type: 'null'
        cost_determination_date:
          anyOf:
            - type: string
            - type: 'null'
        cost_registration_date:
          anyOf:
            - type: string
            - type: 'null'
        cost_determination_basis:
          anyOf:
            - type: string
            - type: 'null'
        floor:
          anyOf:
            - type: string
            - type: 'null'
        floors:
          anyOf:
            - type: string
            - type: 'null'
        underground_floors:
          anyOf:
            - type: string
            - type: 'null'
        year_built:
          anyOf:
            - type: string
            - type: 'null'
        year_commissioning:
          anyOf:
            - type: string
            - type: 'null'
        degree_readiness:
          anyOf:
            - type: string
            - type: 'null'
        extension:
          anyOf:
            - type: number
            - type: 'null'
        height:
          anyOf:
            - type: number
            - type: 'null'
        depth:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: number
            - type: 'null'
        land_category:
          anyOf:
            - type: string
            - type: 'null'
        permitted_use:
          anyOf:
            - type: string
            - type: 'null'
        ownership_type:
          anyOf:
            - type: string
            - type: 'null'
        right_type:
          anyOf:
            - type: string
            - type: 'null'
        parent_cad_number:
          anyOf:
            - type: string
            - type: 'null'
        quarter_cad_number:
          anyOf:
            - type: string
            - type: 'null'
        facility_cad_number:
          anyOf:
            - type: string
            - type: 'null'
        included_cad_numbers:
          items:
            type: string
          type: array
          default: []
        land_cad_numbers:
          items:
            type: string
          type: array
          default: []
        cadastral_district:
          anyOf:
            - type: string
            - type: 'null'
        zone_type:
          anyOf:
            - type: string
            - type: 'null'
        boundary_type:
          anyOf:
            - type: string
            - type: 'null'
        border_reg_number:
          anyOf:
            - type: string
            - type: 'null'
        restrictions:
          anyOf:
            - type: string
            - type: 'null'
        legal_act:
          anyOf:
            - $ref: '#/components/schemas/RosreestrLegalAct'
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        is_cultural_heritage:
          anyOf:
            - type: boolean
            - type: 'null'
        objdoc_id:
          anyOf:
            - type: integer
            - type: 'null'
        registers_id:
          anyOf:
            - type: integer
            - type: 'null'
        geometry:
          anyOf:
            - $ref: '#/components/schemas/RosreestrGeometry'
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RosreestrCategory:
      type: string
      enum:
        - land_parcel
        - building
        - premise
        - parking
        - construction
        - incomplete_construction
        - complex
        - zone
    RosreestrLegalAct:
      properties:
        '@type':
          type: string
          default: RosreestrLegalAct
        name:
          anyOf:
            - type: string
            - type: 'null'
        number:
          anyOf:
            - type: string
            - type: 'null'
        act_date:
          anyOf:
            - type: string
            - type: 'null'
        issuer:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RosreestrGeometry:
      properties:
        '@type':
          type: string
          default: RosreestrGeometry
        type:
          type: string
        coordinates:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
        crs:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - type
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````